
/* Margin */
[data-mrg=".1"] { margin:.1rem }
[data-mrg=".25"] { margin:.25rem }
[data-mrg=".5"] { margin:.5rem }
[data-mrg=".75"] { margin:.75rem }
[data-mrg=""]   { margin:1rem }
[data-mrg="1"]   { margin:1rem }
[data-mrg="2"]  { margin:2rem }
[data-mrg="3"]  { margin:3rem }

[data-mrg~="l.1"] { margin-left:.1rem }
[data-mrg~="l.25"] { margin-left:.25rem }
[data-mrg~="l.5"] { margin-left:.5rem }
[data-mrg~="l.75"] { margin-left:.75rem }
[data-mrg~="l"] { margin-left:1rem }
[data-mrg~="l1"] { margin-left:1rem }
[data-mrg~="l2"]{ margin-left:2rem }
[data-mrg~="l3"]{ margin-left:3rem }

[data-mrg~="t.1"] { margin-top:.1rem }
[data-mrg~="t.25"] { margin-top:.25rem }
[data-mrg~="t.5"] { margin-top:.5rem }
[data-mrg~="t.75"] { margin-top:.75rem }
[data-mrg~="t"],
[data-mrg~="t1"] { margin-top:1rem }
[data-mrg~="t2"]{ margin-top:2rem }
[data-mrg~="t3"]{ margin-top:3rem }

[data-mrg~="b.1"] { margin-bottom:.1rem }
[data-mrg~="b.25"] { margin-bottom:.25rem }
[data-mrg~="b.5"] { margin-bottom:.5rem }
[data-mrg~="b.75"] { margin-bottom:.5rem }
[data-mrg~="b"] { margin-bottom:1rem }
[data-mrg~="b2"]{ margin-bottom:2rem }
[data-mrg~="b3"]{ margin-bottom:3rem }

[data-mrg~="r.1"] { margin-right:.1rem }
[data-mrg~="r.25"] { margin-right:.25rem }
[data-mrg~="r.5"] { margin-right:.5rem }
[data-mrg~="r.75"] { margin-right:.5rem }
[data-mrg~="r"] { margin-right:1rem }
[data-mrg~="r2"]{ margin-right:2rem }
[data-mrg~="r3"]{ margin-right:3rem }





/* Padding */
[data-pdd=".1"]{ padding:.1rem }
[data-pdd=".25"]{ padding:.25rem }
[data-pdd=".5"] { padding:.5rem }
[data-pdd=".75"] { padding:.5rem }
[data-pdd=""]   { padding:1rem }
[data-pdd="2"]  { padding:2rem }
[data-pdd="3"]  { padding:3rem }

[data-pdd~="l.1"]{ padding-left:.1rem }
[data-pdd~="l.25"]{ padding-left:.25rem }
[data-pdd~="l.5"] { padding-left:.5rem }
[data-pdd~="l.75"] { padding-left:.5rem }
[data-pdd~="l"]   { padding-left:1rem }
[data-pdd~="l2"]  { padding-left:2rem }
[data-pdd~="l3"]  { padding-left:3rem }

[data-pdd~="t.1"]{ padding-top:.1rem }
[data-pdd~="t.25"]{ padding-top:.25rem }
[data-pdd~="t.5"] { padding-top:.5rem }
[data-pdd~="t.75"] { padding-top:.5rem }
[data-pdd~="t"] 	{ padding-top:1rem }
[data-pdd~="t2"]  { padding-top:2rem }
[data-pdd~="t3"]  { padding-top:3rem }

[data-pdd~="b.1"]{ padding-bottom:.1rem }
[data-pdd~="b.25"]{ padding-bottom:.25rem }
[data-pdd~="b.5"] { padding-bottom:.5rem }
[data-pdd~="b.75"] { padding-bottom:.5rem }
[data-pdd~="b"]   { padding-bottom:1rem }
[data-pdd~="b2"]  { padding-bottom:2rem }
[data-pdd~="b3"]  { padding-bottom:3rem }

[data-pdd~="r.1"]{ padding-right:.1rem }
[data-pdd~="r.25"]{ padding-right:.25rem }
[data-pdd~="r.5"] { padding-right:.5rem }
[data-pdd~="r.75"] { padding-right:.5rem }
[data-pdd~="r"]   { padding-right:1rem }
[data-pdd~="r2"]  { padding-right:2rem }
[data-pdd~="r3"]  { padding-right:3rem }

@media screen and (max-width:600px){

	/* Padding */
	[data-pdd=""]   { padding:calc(1rem / 2) }
	[data-pdd="2"]  { padding:calc(2rem / 2) }
	[data-pdd="3"]  { padding:calc(3rem / 2) }

	[data-pdd~="l"] { padding-left:calc(1rem / 2) }
	[data-pdd~="l2"]{ padding-left:calc(2rem / 2) }
	[data-pdd~="l3"]{ padding-left:calc(3rem / 2) }

	[data-pdd~="t"] { padding-top:calc(1rem / 2) }
	[data-pdd~="t2"]{ padding-top:calc(2rem / 2) }
	[data-pdd~="t3"]{ padding-top:calc(3rem / 2) }

	[data-pdd~="b"] { padding-bottom:calc(1rem / 2) }
	[data-pdd~="b2"]{ padding-bottom:calc(2rem / 2) }
	[data-pdd~="b3"]{ padding-bottom:calc(3rem / 2) }

	[data-pdd~="r"] { padding-right:calc(1rem / 2) }
	[data-pdd~="r2"]{ padding-right:calc(2rem / 2) }
	[data-pdd~="r3"]{ padding-right:calc(3rem / 2) }

}